Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSWhiteboardCanvas Class Reference

CSWhiteboardCanvas object provides canvas which can be displayed during whiteboard session. More...

`#import <CSWhiteboardCanvas.h>`

Inherits NSView.

Inherited by CSPresentationSlideCanvas.

## Instance Methods
(instancetype) | - initWithFrame:
| Initializes with frame. More...
(instancetype) | - initWithCoder:
| Initializes with coder. More...
(void) | - clearWhiteboardWithCompletionHandler:
| Clears whiteboard. More...

## Properties
CSWhiteboardSurface * | whiteboardSurface
| Current whiteboard surface of whiteboard. More...
NSColor * | color
| Current color of whiteboard. More...
CSWhiteboardTool | tool
| Current tool of whiteboard. More...

## Detailed Description

CSWhiteboardCanvas object provides canvas which can be displayed during whiteboard session.

This object allows also user to draw on it. Canvas should have properly set whiteboard surface by client so as to work properly.

Attention
  If you add this view to NSScrollView, remember about setting wantsLayer property of scroll view to YES since this class is layer-backed. It provides proper zooming behavior.

See also
  CSWhiteboardCanvas::whiteboardSurface

## Method Documentation

- (void) clearWhiteboardWithCompletionHandler: |  | (void(^)(CSWhiteboardSurface *surface, NSError *error)) | handler |

Clears whiteboard.

Operation is completed on whiteboard canvas (drawings are removed) after response from server. There's also corresponding method for CSWhiteboardSurface class but unless you want to create custom whiteboard canvas, use this one.

Parameters

  handler | A block to be called when the operation is completed. `surface` CSWhiteboardSurface object which was cleared. `If` the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (instancetype) initWithCoder: |  | (NSCoder *) | coder |

Initializes with coder.

Parameters

  coder | Coder that CSWhiteboardCanvas is initialized with.

- (instancetype) initWithFrame: |  | (NSRect) | frameRect |

Initializes with frame.

Parameters

  frameRect | Rect that CSWhiteboardCanvas is initialized with.

## Property Documentation

- (NSColor*) color
| read write nonatomic strong

Current color of whiteboard.

Black is set by default.

- (CSWhiteboardTool) tool
| read write nonatomic assign

Current tool of whiteboard.

eMove is set by default.

- (CSWhiteboardSurface*) whiteboardSurface
| read write nonatomic strong

Current whiteboard surface of whiteboard.

The documentation for this class was generated from the following file:

- CSWhiteboardCanvas.h